<?xml version="1.0" encoding="UTF-8" ?>
<xml>
	<Menu>
		<content>
			<name>Plugin Browser</name>
			<module>Screens.PluginBrowser</module>
			<screen><![CDATA[PluginBrowser]]></screen>
		</content>
		<content>
			<name>Extension Selection</name>
			<code><![CDATA[InfoBar.showExtensionSelection(InfoBar.instance)]]></code>
		</content>
		<content>
			<name>Info</name>
			<code><![CDATA[InfoBar.openEventView(InfoBar.instance)]]></code>
		</content>
		<content>
			<name>EPG Selection</name>
			<code><![CDATA[InfoBar.showEventInfoPlugins(InfoBar.instance)]]></code>
		</content>
		<content>
			<name>EPG</name>
			<code><![CDATA[InfoBar.openSingleServiceEPG(InfoBar.instance)]]></code>
		</content>
		<content>
			<name>Multi EPG</name>
			<code><![CDATA[InfoBar.openMultiServiceEPG(InfoBar.instance)]]></code>
		</content>
		<content>
			<name>Audio</name>
			<code><![CDATA[InfoBar.audioSelection(InfoBar.instance)]]></code>
		</content>
		<content>
			<name>Radio</name>
			<code><![CDATA[InfoBar.showRadio(InfoBar.instance)]]></code>
		</content>
		<content>
			<name>Movies</name>
			<code><![CDATA[InfoBar.showMovies(InfoBar.instance)]]></code>
		</content>
		<content>
			<name>Record</name>
			<code><![CDATA[InfoBar.instantRecord(InfoBar.instance)]]></code>
		</content>
		<content>
			<name>Start Timeshift</name>
			<code><![CDATA[InfoBar.startTimeshift(InfoBar.instance)]]></code>
		</content>
		<content>
			<name>Start Teletext</name>
			<code><![CDATA[InfoBar.startTeletext(InfoBar.instance)]]></code>
		</content>
		<content>
			<name>Sleep Timer</name>
			<module>Screens.SleepTimerEdit</module>
			<screen><![CDATA[SleepTimerEdit]]></screen>
		</content>
		<content>
			<name>Picture in Picture</name>
			<code><![CDATA[InfoBar.showPiP(InfoBar.instance)]]></code>
		</content>
		<content>
			<name>InfoBar ShowHide</name>
			<code><![CDATA[InfoBar.toggleShow(InfoBar.instance)]]></code>
		</content>
		<content>
			<name>Zap (example "fix zap to Cannel 42")</name>
			<code><![CDATA[InfoBar.zapToNumber(InfoBar.instance, 42)]]></code>
		</content>
		<content>
			<name>Scart Switch</name>
			<code><![CDATA[self.session.scart.VCRSbChanged(3)]]></code>
		</content>
		<content>
			<name>HbbTV (InfoBar)</name>
			<code><![CDATA[InfoBar.startHbbtv(InfoBar.instance)]]></code>
		</content>
		<content>
			<name>HbbTV (Applist)</name>
			<code><![CDATA[from Plugins.Extensions.HbbTV.HbbTV import HbbTV; HbbTV.instance._showApplicationList()]]></code>
		</content>
		<content>
			<name>HbbTV (hbbig)</name>
			<code><![CDATA[from Plugins.Extensions.HbbTV.HbbTV import HbbTV; HbbTV.instance.startApplicationByUri("http://www.hbbig.com")]]></code>
		</content>
	</Menu>
	<BluePanelDesk>
		<content>
			<name>Blue Panel</name>
			<module>Plugins.Bp.geminimain.gMenu</module>
			<screen><![CDATA[gDesktop, title="Blue Panel", path='/etc/enigma2/gemini_desktop.xml']]></screen>
		</content>
		<content>
			<name>Information</name>
			<module>Plugins.Bp.geminimain.gMenu</module>
			<screen><![CDATA[gDesktop, title=_("Information"), path='/etc/enigma2/gemini_info.xml']]></screen>
		</content>
		<content>
			<name>Setup</name>
			<module>Plugins.Bp.geminimain.gMenu</module>
			<screen><![CDATA[gDesktop, title=_("Setup"), path='/etc/enigma2/gemini_setup.xml']]></screen>
		</content>
		<content>
			<name>Daemons</name>
			<module>Plugins.Bp.geminimain.gMenu</module>
			<screen><![CDATA[gDesktop, title=_("Daemons"), path='/etc/enigma2/gemini_daemon.xml']]></screen>
		</content>
	</BluePanelDesk>
	<BluePanel>
		<content>
			<name>File Browser</name>
			<module>Plugins.Bp.geminimain.FileBrowser</module>
			<screen><![CDATA[gBrowser]]></screen>
		</content>
		<content>
			<name>Device Manager</name>
			<module>Plugins.Bp.geminimain.DeviceManager</module>
			<screen><![CDATA[DeviceManager]]></screen>
		</content>
		<content>
			<name>Setup-Camd</name>
			<module>Plugins.Bp.geminimain.confCamd</module>
			<screen><![CDATA[confCamd]]></screen>
		</content>
		<content>
			<name>Quickbutton</name>
			<module>Plugins.Bp.geminimain.gMultiQuickButton</module>
			<screen><![CDATA[gMultiQuickButton]]></screen>
		</content>
		<content>
			<name>Addons</name>
			<module>Plugins.Bp.geminimain.gAddons</module>
			<screen><![CDATA[gAddons]]></screen>
		</content>
		<content>
			<name>About</name>
			<module>Plugins.Bp.geminimain.InfoScreens</module>
			<screen><![CDATA[AboutScreen]]></screen>
		</content>
		<content>
			<name>Hardware</name>
			<module>Plugins.Bp.geminimain.InfoHardware</module>
			<screen><![CDATA[InfoHardware]]></screen>
		</content>
		<content>
			<name>Mountpoints</name>
			<module>Plugins.Bp.geminimain.InfoScreens</module>
			<screen><![CDATA[MountPoints]]></screen>
		</content>
		<content>
			<name>Process</name>
			<module>Plugins.Bp.geminimain.InfoScreens</module>
			<screen><![CDATA[ProcessInfo]]></screen>
		</content>
		<content>
			<name>Messages from Kernel</name>
			<module>Plugins.Bp.geminimain.InfoScreens</module>
			<screen><![CDATA[KernelInfo]]></screen>
		</content>
		<!--<content>
			<name>EPG-Info</name>
			<module>Plugins.Bp.geminimain.InfoScreens</module>
			<screen><![CDATA[EpgInfo,_('EPG-Info')]]></screen>
		</content>-->
		<content>
			<name>Stream-Traffic</name>
			<module>Plugins.Bp.geminimain.InfoScreens</module>
			<screen><![CDATA[TrafficInfo]]></screen>
		</content>
		<content>
			<name>Gemini Config</name>
			<module>Plugins.Bp.geminimain.InfoScreens</module>
			<screen><![CDATA[GeminiConfList]]></screen>
		</content>
		<content>
			<name>Installed Camds</name>
			<module>Plugins.Bp.geminimain.InfoScreens</module>
			<screen><![CDATA[InfoCamdList]]></screen>
		</content>
		<content>
			<name>General</name>
			<module>Plugins.Bp.geminimain.confGeneral</module>
			<screen><![CDATA[confGeneral]]></screen>
		</content>
		<content>
			<name>Online Test</name>
			<module>Plugins.Bp.geminimain.confOnlineTest</module>
			<screen><![CDATA[confOnlineTest]]></screen>
		</content>
	</BluePanel>
	<Plugins>
		<content>
			<name>MediaPlayer</name>
			<module>Plugins.Extensions.MediaPlayer.plugin</module>
			<screen><![CDATA[MediaPlayer]]></screen>
		</content>
		<content>
			<name>DVDPlayer</name>
			<module>Plugins.Extensions.DVDPlayer.plugin</module>
			<screen><![CDATA[DVDPlayer]]></screen>
		</content>
		<content>
			<name>Picture Player</name>
			<module>Plugins.Extensions.PicturePlayer.plugin</module>
			<screen><![CDATA[picshow]]></screen>
		</content>
		<content>
			<name>Timer</name>
			<module>Screens.TimerEdit</module>
			<screen><![CDATA[TimerEditList]]></screen>
		</content>
	</Plugins>
	<Setup>
		<content>
			<name>A/V Settings</name>
			<module>Screens.Setup</module>
			<screen><![CDATA[Setup, "avsetup"]]></screen>
		</content>
		<content>
			<name>switch 4:3 (Pillarbox) (Pan&amp;Scan)</name>
			<code><![CDATA[
if config.av.policy_43.value == "pillarbox":
	config.av.policy_43.value = "panscan"
else:
	config.av.policy_43.value = "pillarbox"
config.av.policy_43.save()
from Screens.MessageBox import MessageBox
aspectratio = {"panscan": _("Pan&Scan"), "pillarbox": _("Pillarbox")}
self.session.open(MessageBox, _("Display 4:3 content as") + "\n" + aspectratio[config.av.policy_43.value], MessageBox.TYPE_INFO, 2)
]]></code>
		</content>
	</Setup>
	<Service_Searching>
		<content>
			<name>Tuner configuration</name>
			<module>Screens.Satconfig</module>
			<screen><![CDATA[NimSelection]]></screen>
		</content>
		<content>
			<name>Default services lists</name>
			<module>Screens.ScanSetup</module>
			<screen><![CDATA[DefaultSatLists]]></screen>
		</content>
		<content>
			<name>Automatic Scan</name>
			<module>Screens.ScanSetup</module>
			<screen><![CDATA[ScanSimple]]></screen>
		</content>
		<content>
			<name>Manual Scan</name>
			<module>Screens.ScanSetup</module>
			<screen><![CDATA[ScanSetup]]></screen>
		</content>
		<content>
			<name>Satfinder</name>
			<code><![CDATA[from Plugins.SystemPlugins.Satfinder.plugin import SatfinderMain; SatfinderMain(session = self.session)]]></code>
		</content>
	</Service_Searching>
	<Scripte>
		<content>
			<name>Netstat info</name>
			<module>Screens.Console</module>
			<screen><![CDATA[Console, "Mount info", ["netstat"]]]></screen>
		</content>
		<content>
			<name>switch HDMI-IN/Service</name>
			<code><![CDATA[
from os import system
import enigma
from enigma import eServiceReference
from Plugins.Bp.geminimain.plugin import cgevent

with open("/proc/stb/hdmi-rx/0/hdmi_rx_monitor") as fd:
	val = fd.read()

if val.count("on"):
	system("echo off > /proc/stb/hdmi-rx/0/hdmi_rx_monitor")
	self.session.nav.playService(eServiceReference(cgevent.getConfig("hdmi_in_lastservice","0:0:0:0:0:0:0:0:0:0:0")))
	self.session.open(MessageBox, _("Hide HDMI-IN content"), MessageBox.TYPE_INFO, 2)
else:
	cgevent.setConfig("hdmi_in_lastservice",self.session.nav.getCurrentlyPlayingServiceReference().toString())
	self.session.nav.stopService()
	system("echo on > /proc/stb/hdmi-rx/0/hdmi_rx_monitor")
	self.session.open(MessageBox, _("Display HDMI-IN content"), MessageBox.TYPE_INFO, 2)
]]></code>
		</content>
		<content>
			<name>switch HDMI-IN/Service embedded</name>
			<code><![CDATA[
from os import system

with open("/proc/stb/hdmi-rx/0/hdmi_rx_monitor") as fd:
	val = fd.read()

if val.count("on"):
	system("echo off > /proc/stb/hdmi-rx/0/hdmi_rx_monitor")
	self.session.open(MessageBox, _("Hide HDMI-IN content"), MessageBox.TYPE_INFO, 2)
else:
	system("echo on > /proc/stb/hdmi-rx/0/hdmi_rx_monitor")
	self.session.open(MessageBox, _("Display HDMI-IN content"), MessageBox.TYPE_INFO, 2)
]]></code>
		</content>
	</Scripte>
</xml>
